{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row mt-4">
      <div class="col-lg-10 col-md-9 col-sm-8 col-7">
        <h1>All Sales</h1>
      </div>
      <div class="col-lg-2 col-md-3 col-sm-4 col-5">
        <a href="{{ url_for('sale_add') }}"><button class="btn btn-primary btn-block">Add new</button></a>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <table class="table table-hover table-responsive-sm">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">Name</th>
              <th scope="col">Date</th>
              <th scope="col">Amount</th>
              <th scope="col">Edit</th>
              <th scope="col">Delete</th>
            </tr>
          </thead>
          <tbody>
            {% for sale in sales %}
              <tr>
                <th scope="row">{{ loop.index }}</th>
                <td>{{ sale.client.name }}</td>
                <td>{{ sale.date_transaction.date() }}</td>
                <td>{{ sale.amount }}</td>
                <td><a href="{{ url_for('sale_edit', record_id=sale.id) }}?next=sales"><i class="fas fa-edit text-warning"></i></a></td>
                <td>
                  <form method="POST" action="{{ url_for('sale_delete', record_id=sale.id) }}?next=sales">
                    <button type="submit" class="no-submit"><i class="fas fa-trash-alt text-danger"></i></button>
                  </form>
                </td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
{% endblock %}